.shx dans Autocad [Fermé]

Signaler
Messages postés
5
Date d'inscription
mercredi 21 novembre 2007
Statut
Membre
Dernière intervention
30 septembre 2008
-
 Strotzman -
Bonjour, j'ai sur certains fichiers .dwg (autocad) des fichiers .shx qui ne sont plus liés avec le plan. (reçu de l'extérieur)
Ma question est : est-il possible de délier ces fichier .shx à mon .dwg ?

Merci à tous

Michbaill

3 réponses

Pour une seule raison : autocad va relire le fichier SHX à chaque modif, et lorsquon travail sur de gros et de très gros fichiers, ça nous plante notre ordi....
3
Merci

Quelques mots de remerciements seront grandement appréciés. Ajouter un commentaire

CCM 65492 internautes nous ont dit merci ce mois-ci

Messages postés
2223
Date d'inscription
mardi 1 mai 2007
Statut
Contributeur
Dernière intervention
4 août 2019
433
Salut Strotzman,

Ok, je n'avais pas fait le lien, à vrai dire mon ordi à quelques chevaux sous le capot! :o)
T'aurais pas une solution à soumettre? Moi je ne vois pas.


une revision pour verifier si ce n est du à une fuite mais avec autant de chevaux sous le capot cela devrais prendre du temps a vérifier voir à regler
Messages postés
2223
Date d'inscription
mardi 1 mai 2007
Statut
Contributeur
Dernière intervention
4 août 2019
433
Bonjour,

Je m'interroge, pourquoi cherches tu à délier les .shx? je comprends pas la nécessité.

un .shx correspond à des styles d'écritures, ton fichier dessin va automatiquement chercher un .shx existant sur ton autocad dans le cas ou il ne reconnait pas le style d'écriture du fichier transmis. C fréquent suite à des dessins réalisé sous d'autre logiciel, il serait peut être judicieux de ne rien supprimer pour éviter des plantes.

en faisant ce lisp :)

(defun C:RSHX ()
(vl-load-com)
(vlax-for item
(vla-get-textstyles
(vla-get-ActiveDocument (vlax-get-acad-object))
)
(if
(not
(vl-filename-extension (setq fname (vla-get-fontfile item)))
)
(setq fname (strcat fname ".shx"))
)
(cond ((findfile fname) nil)
((findfile (strcat (getenv "WINDIR") "\\FONTS\\" fname))
nil
)
(t
(vla-put-fontfile item "ltypeshp.shx")
(princ "\nChange ")
(princ fname)
(princ " on ltypeshp.shx")
)
)
)
(princ)
)
(princ "\nRSHX , purge unreferenced shape files")